# `router.redirect(redirectMap)`

ルーターに対してグローバルリダイレクションのルールを設定します。グローバルリダイレクションは現在のパスにマッチする前に実行されます。リダイレクションが見つかった場合、元々のアクセスパスは単にスキップされ、ブラウザの履歴にレコードを残すことはありません。

### 引数

- `redirectMap: Object`

  リダイレクトマップオブジェクトは `{ fromPath: toPath, ... }` の形にする必要があります。パスは動的セグメントを含むことができます。

### 例

``` js
router.redirect({

  // /a への全てのナビゲーションを /b にリダイレクト
  '/a': '/b',

  // リダイレクトは動的セグメント名がマッチする必要がある
  // 動的セグメントを含むことができます
  '/user/:userId': '/profile/:userId'
})
```
